environment 'production'

threads 0, 16

bind 'unix:///{{ puma_path }}/sockets/puma.sock'
activate_control_app 'unix:///{{ puma_path }}/sockets/pumactl.sock'
stdout_redirect "{{ puma_path }}/log/puma.stdout.log", "{{ puma_path }}/log/puma.stderr.log", true
pidfile "{{ puma_path }}/pids/puma.pid"
state_path "{{ puma_path }}/pids/puma.state"

# Use the `preload_app!` method when specifying a `workers` number.
# This directive tells Puma to first boot the application and load code
# before forking the application. This takes advantage of Copy On Write
# process behavior so workers use less memory.
#
# preload_app!

# Allow puma to be restarted by `rails restart` command.
plugin :tmp_restart
